bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#4126: 23.1.50; Building with dbus support


From: Michael Albinus
Subject: bug#4126: 23.1.50; Building with dbus support
Date: Tue, 11 Aug 2009 21:56:26 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.1.50 (gnu/linux)

Glenn Morris <address@hidden> writes:

> Giles Chamberlin wrote:
>
>> Running on Ubuntu 9.04, I'm having trouble building emacs from CVS with
>> dbus support.  config.log reports: 
>>
>> configure:12289: checking for dbus-1 >= 1.0
>> configure:12309: result: no
>>
>> and subsequent calls to make fail to compile dbusbind.c, causing
>> invocation of dbus-call-method to fail with a void-function error.
>>
>> dbus-1 installed as per default ubuntu setup.
>
> I don't know what that means, but Ubuntu users might.
>
> At a guess, you need to also install the dbus development package(s),
> which may be called "libdbus-1-dev".

Yes, that's the name.

More generally speaking: there is a package emacs23 in Debian sid. Shall
jump into Ubuntu karmic soon (I guess). With this, you can install

# sudo apt-get build-dep emacs23

Manually, you can check all dependencies at
<http://packages.debian.org/source/sid/emacs23>.

Best regards, Michael.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]